
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>DOM Event delegation / iVAN</title>

    <meta name="description" content="DOM Event delegation DOM event delegation is a mechanism of responding to ui-events via a single common parent rather than each child, through the magic of event &quot;bubbling&quot; (aka event propagation). When an event is triggered on an element, the following occurs: ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">DOM Event delegation</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>DOM event delegation is a mechanism of responding to ui-events via a single common parent rather than each child, through the magic of event "bubbling" (aka event propagation).</p>
<p>When an event is triggered on an element, <a href="http://www.w3.org/TR/DOM-Level-2-Events/events.html#Events-flow-bubbling" rel="external nofollow noreferrer">the<br />
 following occurs</a>:</p>
<blockquote><p>The event is dispatched to its target <code>EventTarget</code> and<br />
 any event listeners found there are triggered.Bubbling events will then trigger any additional event listeners found by<br />
 following the <code>EventTarget</code>'s<br />
 parent chain upward, checking for any event listeners registered on each successive EventTarget. This upward propagation<br />
 will continue up to and including the <code>Document</code>.</p></blockquote>
<p>Event bubbling provides the foundation for event delegation in browsers. Now you can bind an event handler to a single parent element, and that handler will get executed whenever the event occurs on<br />
 any of its child nodes(and any of their children in turn). This is event delegation. Here's an example of it in<br />
 practice:</p>
<pre><code>&lt;ul onclick="alert(event.type + '!')"&gt;
    &lt;li&gt;One&lt;/li&gt;
    &lt;li&gt;Two&lt;/li&gt;
    &lt;li&gt;Three&lt;/li&gt;
&lt;/ul&gt;
</code></pre>
<p>With that example if you were to click on any of the child <code>&lt;li&gt;</code> nodes,<br />
 you would see an alert of <code>"click!"</code>,<br />
 even though there is no click handler bound to the <code>&lt;li&gt;</code> you<br />
 clicked on. If we bound <code>onclick="..."</code> to<br />
 each <code>&lt;li&gt;</code> you<br />
 would get the same effect.</p>
<p>So what's the benefit?</p>
<p>Imagine you now have a need to dynamically add new <code>&lt;li&gt;</code> items<br />
 to the above list via DOM manipulation:</p>
<pre><code>var newLi = document.createElement('li');
newLi.innerHTML = 'Four';
myUL.appendChild(newLi);
</code></pre>
<p>Without using event delegation you would have to "rebind" the <code>"onclick"</code> event<br />
 handler to the new <code>&lt;li&gt;</code>element,<br />
 in order for it to act the same way as its siblings. With event delegation you don't need to do anything. Just add the<br />
 new <code>&lt;li&gt;</code> to<br />
 the list and you're done.</p>
<p>This is absolutely fantastic for web apps with event handlers bound to many elements, where new elements are dynamically created and/or removed in the DOM. With event delegation the number of event bindings can be drastically decreased by moving them to a common<br />
 parent element, and code that dynamically creates new elements on the fly can be decoupled from the logic of binding their event handlers.</p>
<p>Another benefit to event delegation is that the total memory footprint used by event listeners goes down (since the number of event bindings go down). It may not make much of a difference to small pages that unload often (i.e. user's navigate to different pages<br />
 often). But for long-lived applications it can be significant. There are some really difficult-to-track-down situations when elements removed from the DOM still claim memory (i.e. they leak), and often this leaked memory is tied to an event binding. With event<br />
 delegation you're free to destroy child elements without risk of forgetting to "unbind" their event listeners (since the listener is on the ancestor). These types of memory leaks can then be contained (if not eliminated, which is freaking hard to do sometimes.<br />
 IE I'm looking at you).</p>
<p>Here are some better concrete code examples of event delegation:</p>
<ul>
<li><a href="http://davidwalsh.name/event-delegate" rel="external nofollow noreferrer">How JavaScript<br />
 Event Delegation Works</a></li>
<li><a href="http://icant.co.uk/sandbox/eventdelegation/" rel="external nofollow noreferrer">Event<br />
 Delegation versus Event Handling</a></li>
<li><a href="http://api.jquery.com/delegate/" rel="external nofollow noreferrer">jQuery.delegate</a> is<br />
 event delegation + selector specification</li>
<li><a href="http://api.jquery.com/on/#direct-and-delegated-events" rel="external nofollow noreferrer">jQuery.on</a> uses<br />
 event delegation when passed a selector as the 2nd parameter</li>
<li><a href="http://web.archive.org/web/20090420170842/http://usabletype.com/weblog/event-delegation-without-javascript-library/" rel="external nofollow noreferrer">Event<br />
 delegation without a JavaScript library</a></li>
<li><a href="http://lists.evolt.org/archive/Week-of-Mon-20090209/127339.html" rel="external nofollow noreferrer">Closures<br />
 vs Event delegation</a>: takes a look at the pros of not converting code to use event delegation</li>
<li>Interesting approach PPK uncovered for <a href="http://www.quirksmode.org/blog/archives/2008/04/delegating_the.html" rel="external nofollow noreferrer">delegating<br />
 the <code>focus</code> and <code>blur</code> events</a> (which<br />
 do not bubble)</li>
</ul>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-13 11:06:45</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>DOM Event delegation的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxWBDjb.html" rel="bookmark">HTML DOM Event 对象</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				HTML DOM Event 对象 实例 哪个鼠标按钮被点击? 光标的坐标是? 被按的按键的 unicode 是? 相对于屏幕,光标的坐标是? shift 键被按了吗? 哪个元素被点击了? 哪个事件类型发生了? Event 对象 Event 对象代表事件的状态,比如事件在其中发生的元素.键盘按键的状态.鼠标的位置.鼠标按钮的状态. 事件通常与函数结合使用,函数不会在事件发生前被执行! 事件句柄 (Event Handlers) HTML 4.0 的新特性之一是能够使 HTML 事件触发浏览器中的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqrBvkp.html" rel="bookmark">JavaScript将DOM事件处理程序封装为event&period;js 出现的低级错误问题&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				将 DOM 0级事件处理程序和DOM2级事件处理程序 IE事件处理程序封装为eventUtil对象,达到跨浏览器的效果.代码如下: var eventUtil = { // 添加事件句柄 addEventHandler:function (element,type,handler) { if (element.addEventListener) { element.addEventListener(type, handler,false); }else if(element.attachEven			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvEJ55b.html" rel="bookmark">Html页面Dom对象之Event</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				HTML DOM Event 对象 实例 哪个鼠标按钮被点击? 光标的坐标是? 被按的按键的 unicode 是? 相对于屏幕,光标的坐标是? shift 键被按了吗? 哪个元素被点击了? 哪个事件类型发生了? Event 对象 Event 对象代表事件的状态,比如事件在其中发生的元素.键盘按键的状态.鼠标的位置.鼠标按钮的状态. 事件通常与函数结合使用,函数不会在事件发生前被执行! 事件句柄 (Event Handlers) HTML 4.0 的新特性之一是能够使 HTML 事件触发浏览器中的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7Qg75M.html" rel="bookmark">DOM中事件处理概览与原理的全面解析&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				事件是一种异步编程的实现方式,本质上是程序各个组成部分之间的通信,DOM支持大量的事件:  本文通过这几点向大家详细解析事件处理的基本原理:事件类型.事件目标.事件处理程序.事件对象.事件传播 最后再向大家介绍Event对象:  一.事件类型(event type):是一个用来说明发生了什么类型事件的全小写的字符串,如'mouseover' 传统事件类型:表单事件,Window事件,鼠标事件,键盘事件,DOM事件, HTML5事件,触摸屏和移动设备事件等  二.事件目标(event target			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9Y27dM.html" rel="bookmark">dom addeventlistener与id 绑定事件的区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文档中有写. //addEventListener() 方法用于向指定元素添加事件句柄. //提示: 使用 removeEventListener() 方法来移除 addEventListener() 方法添加的事件句柄. //Internet Explorer 8 及更早IE版本不支持 addEventListener() 方法,,Opera 7.0 及 Opera 更早版本也不支持. 但是,对于这些不支持该函数的浏览器,你可以使用 attachEvent() 方法来添加事件句柄 (查看 &quot;更			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlmraNp.html" rel="bookmark">JavaScript Event事件学习第一章 Event介绍&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				没有event就没有脚本.可以看看任何有JavaScript代码的网页:几乎所有的例子都有一个事件触发了脚本.原因非常简单.JavaScript就是给你的页面添加内部活动:用户做一些事情然后页面做出回应. 因此JavaScript就需要一个方法能够检测到用户的动作然后才能知道什么时候做出反应.这还需要知道那个函数会被执行,函数会做一些你认为的给你的网页增色的动作.这些文字描述了如何去写这样的脚本.虽然不容易,但是这是一个很让人满足的工作. 当用户做了什么事情event就发生了,当然还有一些eve			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xpn4NKb.html" rel="bookmark">jQuery性能优化的38个建议</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 想必大家对于jQuery这个最流行的javascript类库都不陌生,而且只要是前端开发人员肯定或多或少的使用或者接触过,在这篇文章中,参考了一些资料及实际使用效率,将介绍一些书写高质量jQuery代码的原则,不单单会告诉你如何去书写,也会告诉你为什么这样书写,希望大家会觉得有所帮助 一.注意定义jQuery变量的时候添加var关键字 这个不仅仅是jQuery,所有javascript开发过程中,都需要注意,请一定不要定义成如下: $loading = $('#loading'); //这个是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0zGww6z.html" rel="bookmark">JavaScript事件代理入门</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				事件代理(Event Delegation),又称之为事件委托.是 JavaScript 中常用绑定事件的常用技巧. 顾名思义,&quot;事件代理&quot;即是把原本需要绑定的事件委托给父元素,让父元素担当事件监听的职务.   为什么要这样做呢? 众所周知,DOM操作是十分消耗性能的.所以重复的事件绑定简直是性能杀手.而事件代理的核心思想,就是通过尽量少的绑定,去监听尽量多的事件.   下面将会用 Zepto 为大家演示怎么实现事件代理. 啊?Zepto是什么?     Zepto is a mini			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qMq5DZM.html" rel="bookmark">yahoo网站性能优化的建议&colon;Yahoo军规再度挖掘</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章描述:本来这是个老生常谈的问题,上周自成又分享了一些性能优化的建议,我这里再做一个全面的Tips整理,谨作为查阅型的文档,不妥之处,还请指正. 本来这是个老生常谈的问题,上周自成又分享了一些性能优化的建议,我这里再做一个全面的Tips整理,谨作为查阅型的文档,不妥之处,还请指正:如果你已经对yahoo这些优化建议烂熟于心,果断点这里 一. Yahoo的军规条例: 谨记:80%-90%的终端响应时间是花费在下载页面中的图片,样式表,脚本,flash等:详细的解释来这里查:http://deve			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3NxAz.html" rel="bookmark" class="title">Python中degrees&lpar;&rpar;方法的使用</a>
					<div>
						  这篇文章主要介绍了Python中degrees()方法的使用,是Python入门中的基础知识,需要的朋友可以参考下 degrees()方法从弧度转换到度角x 语法 以下是degrees()方法的语 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBLAKp.html" rel="bookmark" class="title">Visual C&num;2005快速入门之声明bool变量</a>
					<div>
						visual|变量|快速入门 与现实世界不同,在编程的世界中,每一件事情要么黑,要么白:要么对,要么错:要么是真的,要么是假的.例如,假定你创建一个名为x的整数变量,把值99赋给x,然后问:&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXjB94b.html" rel="bookmark" class="title">PS人物照片修饰和美化流程分析</a>
					<div>
						photoshop教程原图: 效果图1: 效果图2: 操作步骤: 一校正色彩 1.我的电脑经过绿蜘蛛较正仪校正过,在PS打开图像后,发现图像偏色了. 2.新建曲线调整图层. 3.使用颜色取样器取样,我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZAo3b.html" rel="bookmark" class="title">win8&period;1系统运行风暴语音提示&OpenCurlyDoubleQuote;hosbox</a>
					<div>
						  故障原因: win8.1时常出现以上界面,程序判断虚拟机还是N年前的预设,没有预料到win8新技术的诞生,只要你开启了Hyper-V服务,他就认为你是虚拟机. 解决方法: 1.控制面板 -程序和功 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8axvp.html" rel="bookmark" class="title">小米盒子怎么用U盘安装软件图文教程</a>
					<div>
						  小米盒子丰富的扩展性能和DIY属性一直都是小米公司很发烧的配件之一, 当然,自家本身的小米电视商城肯定是不够发烧友使用的,如果遇到需要安装第三方软件的时候,小米盒子怎么用U盘安装软件了?下面我们来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywGxPz.html" rel="bookmark" class="title">U盘读写速度不稳定怎么办</a>
					<div>
						一些网友表示他们的U盘使用状况很不稳定,读取速度时快时慢,他们感到很疑惑.经过探索,发现这与他们在U盘出故障时经常直接让U盘初始化有关.那么为何U盘初始化会导致日后读取速度时快时慢呢?又该如何解决?  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1EJ7aM.html" rel="bookmark" class="title">Windows 2003 禁止web等目录执行exe&comma;bat&comma;com的办法</a>
					<div>
						  利用gpedit.msc(组策略)禁止目录执行某些文件. 首先: 运行-----输入 gpedit.msc ----计算机配置---windows 设置----安全设置↓软件限制策略(如果旁边没有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXj1Nvb.html" rel="bookmark" class="title">WinXp系统如何禁止中的恶意广告弹窗网站技巧</a>
					<div>
						  最近小编在使用XP系统的时候,发现浏览网页的时候经常都会弹出一些恶意的广告插件,老是弹出来不知道是怎么回事,让人上网非常的不舒服,那么小编对电脑进行了设置解决了这个问题,要是你也遇到了同样的问题不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Ww9Ab.html" rel="bookmark" class="title">自动驾驶离我们还有多远？</a>
					<div>
						自动驾驶离我们还有多远?从汽车诞生之初开始,安全.轻松的驾驶便成为了人类不断追求的目标,早在上个世纪20年代,人们便开始有了让汽车自行驾驶的种种构想和实践. 1925年,世界上第一辆有证可查的无人驾驶 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZgwNb.html" rel="bookmark" class="title">无线投屏、一键接入，阿里高效率办公软件&OpenCurlyDoubleQuote;阿里郎&rdquo;即将上云对外服务</a>
					<div>
						日前,阿里内部办公软件阿里郎已完成网络准入(NAC).无线投屏等多个服务SaaS化升级,将携手阿里云于7月底面向所有企业推出更轻量的云化产品--阿里云办公,未来让所有企业员工能够和阿里巴巴员工在一个平 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqA5VGM.html" rel="bookmark" class="title">独领风骚&colon;单例模式</a>
					<div>
						单例模式(Singleton)可以说是最简单的模式,对.net来说,因为不需要考虑到垃圾回收机制,实现起来很简单,但是对于没有提供内存管理的平台来说,比如C++,因为单例模式只考虑创建对象,所以使用的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQDjqp.html" rel="bookmark" class="title">ios tableview cell的自定义左滑按钮</a>
					<div>
						问题描述 ios tableview cell的自定义左滑按钮 ios tableview cell的自定义左滑按钮是ios8之后才出现,那么在这之前使用什么方法实现的? 解决方案 这个应该能帮助你h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94ERXb.html" rel="bookmark" class="title">asp&period;net高手请进，关于模板建网站。。。</a>
					<div>
						问题描述 1.实现动态增加频道页面,动态增加栏目页面.2.用户可以在不修改程序的情况下,修改页面(或模板),在显示页面上修改可以显示的栏目以及所属栏目的信息.这样的功能可以实现吗?多谢. 解决方案 解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mydw1lb.html" rel="bookmark" class="title">寻求开发人员</a>
					<div>
						问题描述 本公司现有一个收银系统要独立开发,功能已制定好,请有相关经验者与我联系,要求:1.工作期15日2.开发环境SQL2000+.NET平台3.跟据需求书开发最好是在武汉的技术人员. 解决方案 解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRJERp.html" rel="bookmark" class="title">socket编程  客户端与服务器之间传递消息</a>
					<div>
						问题描述 socket编程 客户端与服务器之间传递消息 客户端向服务端发送一字符串, BufferedWriter pw= new BufferedWriter(new OutputStreamWri ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYExAp.html" rel="bookmark" class="title">如何做到更有针对性的推广你的网站</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 每个站长在建站之初,都很明确自己网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjL4mWp.html" rel="bookmark" class="title">关于信息安全评估，需要get的重点</a>
					<div>
						测定信息安全风险的最佳方法是什么?最佳方法是马上检测所有系统和应用程序的漏洞;这跟通过磁共振成像.血液分析等检查人体健康一样.有些人将这些工作称为IT安全审计.有些人则称为渗透测试.然而,对环境执行深 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0RAEPz.html" rel="bookmark" class="title">互联网带硬件行业：大资本干爹的催熟效应</a>
					<div>
						小米火了之后,以&quot;互联网模式&quot;为核心理念的硬件创业呈现了井喷式的爆发状态,在近两年新媒体的聚焦下,让 普通用户见识到了花样繁多新硬件产品,突然感觉整个世界都精彩了的样子. &amp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwRZmM.html" rel="bookmark" class="title">《面向对象设计实践指南：Ruby语言描述》&mdash;第1章 1&period;1节设计赞歌</a>
					<div>
						第1章 面向对象设计 面向对象设计实践指南:Ruby语言描述 世界是过程式的.时间不停在向前流动,而事件也一个接一个地逝去.你每天早上的过程或许就是:起床.刷牙.煮咖啡.穿衣,然后上班.这些活动都可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNnVkyM.html" rel="bookmark" class="title">windows管理-修改计算机用户名后计划任务失效！</a>
					<div>
						问题描述 修改计算机用户名后计划任务失效! 我现在想把计算机名由administrator修改为xxadmin,但是修改之后,所有的计划任务都失效了,如果普通做法需要将现有计划任务导出,然后修改之后再 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXeGVb.html" rel="bookmark" class="title">关于自定义用户界面后explorer启动的问题</a>
					<div>
						问题描述 是这样的,我自己用c#写了个开机密码程序,然后想要在开机的时候不进入explorer直接进入我的程序,输入密码后才能进入系统.方法是在组策略中修改自定义用户界面,这样的话开机就不会explo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBg8aJM.html" rel="bookmark" class="title">IBM携手首都在线，成为进入中国市场标志</a>
					<div>
						&quot;这次我们合作的公有云服务项目,IaaS先行,现在已经开始针对一些客户进行测试了,这也是基于IBM自身的SCE(基础架构云计算解决方案)在中国市场的成功.&quot;首都在线COO赵永志接受 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk02qdz.html" rel="bookmark" class="title">传AOL将有两名高管离开并继续裁员</a>
					<div>
						和讯科技消息 北京时间3月11日,据外国媒体报道,三名知情人士透露消息称,AOL近期有两名高管离职,除此之外,该公司还将继续在即时信息服务部门裁减40名员工. 这两名辞职的高管分别是埃里克·凡·米尔登 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk0Ze5z.html" rel="bookmark" class="title">程序员必备的10大健康装备！ 我们要工作更要健康！&lowbar;生活健康</a>
					<div>
						前言 做为程序员,为了实现理想而奋斗不懈,每天对着电脑辐射坐在工位上拼搏8小时甚至更久,这种如同机器旁边的机器般的工作对于健康的损耗何其之大?再这么下去,还真得应了:&quot;职务不高,工资不高,血 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR18PKb.html" rel="bookmark" class="title">php class中self&comma;parent&comma;this的区别以及实例介绍&lowbar;php技巧</a>
					<div>
						一,this 1,要用this,你必有是一个对像的形势,不然它会报错的,Fatal error: Using $this when not in object context.2,this可以调用本类 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8oGjb.html" rel="bookmark" class="title">如何判断用户是否访问过某个网址</a>
					<div>
						我们经常有这样的需求:想知道用户之前有没有访问过某个网址.有没有什么方法或技术能实现这一点呢? 初步探索 注意到,在大部分浏览器默认设置里,用户访问过的链接和没访问过的链接颜色是不同的,如下图: 即用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0NAW8z.html" rel="bookmark" class="title">用struts2写程序时无法添加jar包，出现错误</a>
					<div>
						问题描述 用struts2写程序时无法添加jar包,出现错误 烦请各位大神如下是什么意思且如何解决 org.eclipse.jst.javaee.web.internal.impl.WebAppImp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA6aAZp.html" rel="bookmark" class="title">《Adobe Illustrator CS5中文版经典教程》&mdash;第1课1&period;4节在多个画板之间导航</a>
					<div>
						1.4 在多个画板之间导航Adobe Illustrator CS5中文版经典教程Illustrator支持在单个文件中包含多个画板,这让用户能够创建多页文档,在一个文档中包含多项内容,如小册子.明信 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5YZ06p.html" rel="bookmark" class="title">ArchBang 2011&period;10-RC&excl;发布 基于Arch Linux的轻量级发行版</a>
					<div>
						ArchBang 2011.10-RC!更新内容如下: - 如果你已经安装AB在您的系统之上,那么你并不需要再安装它- 报告的错误已得到解决- 可以发现包含的软件包列表- archbey被砍掉艺术方式 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgPgDZp.html" rel="bookmark" class="title">获取url请求参数</a>
					<div>
						问题描述 &lt;ahref=&quot;xxxx.jsp?param1=xx&amp;param2=yy&quot;&gt; 点击此链接跳到xxxx.jsp时希望获取到param1=xx&amp;p ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
